Skip to main content
GET
Get one customer (PMS)
Learn more:
  • What is a customer?

Path Parameters

consumer_id
string<uuid>
required
customer_id
string
required

Response

Successful Response

id
string
required

Technical id in Chift

source_ref
Ref · object
required

Technical id in the target software

first_name
string | null

First name of the customer. In case the customer is an individual.

Example:

"John"

last_name
string | null

Last name of the customer. In case the customer is an individual.

Example:

"Doe"

company_name
string | null

Company name of the customer. In case the customer is a company.

Example:

"Acme Corp"

phone
string | null

Phone number of the customer

Example:

"+1234567890"

email
string | null

Email address of the customer

Example:

"john.doe@example.com"

account_number
string | null

Number of the accounting account used (e.g. 701000)

Example:

"701000"

created_on
string<date-time> | null

Creation date of the customer

Example:

"2023-09-25T12:00:00"

addresses
AddressItem · object[] | null

List of addresses related to the customer

is_company
boolean | null
default:false

Indicates if the client is an individual or a company.